dashboards
Create dashboards widgets
Requires scopes: reports:write
POST
/
api
/
dashboards
/
{id}
/
widgets
Create dashboards widgets
curl --request POST \
--url https://evalgate.com/api/dashboards/{id}/widgets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "table",
"name": "<string>",
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"widgetKey": "<string>",
"metricDefinitionId": "<string>",
"position": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"drilldown": {
"target": "evaluation",
"pathTemplate": "<string>",
"preserveFilters": false
},
"visualizationConfig": {}
}
'import requests
url = "https://evalgate.com/api/dashboards/{id}/widgets"
payload = {
"type": "table",
"name": "<string>",
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"widgetKey": "<string>",
"metricDefinitionId": "<string>",
"position": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"drilldown": {
"target": "evaluation",
"pathTemplate": "<string>",
"preserveFilters": False
},
"visualizationConfig": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'table',
name: '<string>',
refreshPolicy: {mode: 'manual', intervalSeconds: 123},
widgetKey: '<string>',
metricDefinitionId: '<string>',
position: {x: 123, y: 123, w: 123, h: 123},
drilldown: {target: 'evaluation', pathTemplate: '<string>', preserveFilters: false},
visualizationConfig: {}
})
};
fetch('https://evalgate.com/api/dashboards/{id}/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": {
"status": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"version": 123,
"contentHash": "<string>",
"parentVersionId": "<string>",
"dashboardId": "<string>",
"layout": {
"columns": 12,
"compact": true
},
"globalFilters": [
{
"operator": "exists",
"field": "<string>",
"value": true
}
],
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"publishedBy": "<string>",
"publishedAt": "2023-11-07T05:31:56Z"
},
"snapshot": {
"layout": {
"columns": 12,
"compact": true
},
"globalFilters": [
{
"operator": "exists",
"field": "<string>",
"value": true
}
],
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"widgets": [
{
"type": "table",
"name": "<string>",
"refreshPolicy": {
"mode": "manual",
"intervalSeconds": 123
},
"widgetKey": "<string>",
"metricDefinitionId": "<string>",
"visualizationConfig": {},
"position": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"drilldown": {
"target": "evaluation",
"pathTemplate": "<string>",
"preserveFilters": true
}
}
]
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
type
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>Option 9 · enum<string>Option 10 · enum<string>Option 11 · enum<string>Option 12 · enum<string>Option 13 · enum<string>
required
Available options:
table Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create dashboards widgets
